%define _mozillapluginpath	%{_libdir}/mozilla/plugins
%define _mozillacomponentpath	%{_libdir}/mozilla/plugins

Summary: A browser plugin to allow playing embedded movies on web pages
Name:    mplayerplugin
Version: 3.11
Release: 1mdk
License: GPL
Group:   Networking/WWW
URL: http://mplayerplug-in.sourceforge.net
Source0: http://heanet.dl.sourceforge.net/sourceforge/mplayerplug-in/mplayerplug-in-%{version}.tar.bz2
Patch0: mplayerplugin-3.01-mime.patch.bz2
BuildRequires: XFree86-devel
%if %{mdkversion} > 1020
BuildRequires: mozilla-firefox-devel
%else
BuildRequires: mozilla-devel
%endif
BuildRequires: gtk+2-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: mplayer >= 0.92
Conflicts: mozplugger < 1.5.2-2mdk

%description
Mplayerplug-in is a Netscape/Mozilla browser plugin to allow
playing embedded movies on web pages.

%prep
%setup -n mplayerplug-in
%patch0 -p1 -b .mime

%build
%if %{mdkversion} > 1020
perl -pi -e 's/mozilla-/mozilla-firefox-/g' configure.in
aclocal
autoconf-2.5x
%endif

%configure2_5x \
	--enable-wmp \
	--enable-qt \
	--enable-gmp \
	--enable-rm
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_sysconfdir} \
	$RPM_BUILD_ROOT%{_mozillapluginpath} \
	$RPM_BUILD_ROOT%{_mozillacomponentpath}

cat > $RPM_BUILD_ROOT%{_sysconfdir}/mplayerplug-in.conf <<EOF
# Enable debugging if set to 1 (default=0)
debug=1

# File to write debug info to
logfile=\$HOME/tmp/mplayerplug-in.log

# Video output
vo=xv,x11

# Audio output
ao=esd,alsa,oss,arts,null

# Passes display to show output to, useful for multiple monitor setups
#display=[display name]

# Tells mplayer to allow default video post processing or not (default=0)
#novop=1

# Pass special video post processing
#vopopt=[mplayer vop options]

# Option for rtsp streams, set to 1 when behind proxy (default=0)
#rtsp-use-tcp=1

# OSD Level (default=0)
osdlevel=3

# When set to 1 uses the aspect of movie no matter what (default=1)
#prefer-aspect=0

# If set to 1, forces mplayer to be in it's own window (default=0)
#noembed=0

# Where to store the downloaded movies
dload-dir=\$HOME/tmp

# Download file before playing (default=0)
#download=1

# Set to 1 if you want to keep downloaded media (default=0)
#keep-download=1

# Cache Size in kB. This is the buffer size before the video plays (default=512)
#cachesize=512

# Percent of file to load into cache (default=25)
#cache-percent=10

# Read mime types to handle from \$HOME/{.mplayer,.mozilla},/etc/mplayerplug-in.types
use-mimetypes=0

# Set QT Speeed, use "low" for dialup, "med" (default) for DSL, "high" for more
#qt-speed=low

# Enable/Disable Mpeg mime-types (default=1)
#enable-mpeg=0

# Enable/Disable Ogg mime-types (default=1)
#enable-ogg=0

# Enable/Disable Smil (default=1)
#enable-smil=0

# Enable/Disable Helix compatibility (not allowing nphelix.so to handle it's
# own mime types (default=1)
enable-helix=0

# For Live.com video behind a proxy
#rtsp-use-tcp=0

# Black background
#black-background=0

# Disable media cache
#nomediacache=0

# Skip displaying some frames
#framedrop=0

# Gradually adjusts the A/V sync based on audio delay measurements
#autosync=0

# Maximum A-V sync correction per frame
#mc=0

# User-Agent
#user-agent=NSPlayer

# Disable  mouse button press/release input
#nomouseinput=0

# Disable reading key events from standard input
#noconsolecontrols=1

# Send cookies when making HTTP request
#cookies=1
EOF

install -m 755 mplayerplug-in.so $RPM_BUILD_ROOT%{_mozillapluginpath}
install -m 644 mplayerplug-in.xpt $RPM_BUILD_ROOT%{_mozillacomponentpath}

install -m 755 mplayerplug-in-wmp.so $RPM_BUILD_ROOT%{_mozillapluginpath}
install -m 644 mplayerplug-in-wmp.xpt $RPM_BUILD_ROOT%{_mozillacomponentpath}

install -m 755 mplayerplug-in-qt.so $RPM_BUILD_ROOT%{_mozillapluginpath}
install -m 755 mplayerplug-in-qt.xpt $RPM_BUILD_ROOT%{_mozillacomponentpath}

install -m 755 mplayerplug-in-rm.so $RPM_BUILD_ROOT%{_mozillapluginpath}
install -m 755 mplayerplug-in-rm.xpt $RPM_BUILD_ROOT%{_mozillacomponentpath}

install -m 755 mplayerplug-in-gmp.so $RPM_BUILD_ROOT%{_mozillapluginpath}
install -m 755 mplayerplug-in-gmp.xpt $RPM_BUILD_ROOT%{_mozillacomponentpath}

install -m 644 mplayerplug-in.types $RPM_BUILD_ROOT%{_sysconfdir}

# install translations
%makeinstall_std -C po DESTDIR=$RPM_BUILD_ROOT
%find_lang mplayerplug-in

%clean
rm -rf $RPM_BUILD_ROOT

%files -f mplayerplug-in.lang
%defattr(-,root,root,-)
%doc ChangeLog INSTALL README
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/mplayerplug-in.conf
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/mplayerplug-in.types
%{_mozillapluginpath}/mplayerplug-in.so
%{_mozillapluginpath}/mplayerplug-in-wmp.so
%{_mozillapluginpath}/mplayerplug-in-qt.so
%{_mozillapluginpath}/mplayerplug-in-rm.so
%{_mozillapluginpath}/mplayerplug-in-gmp.so
%{_mozillacomponentpath}/mplayerplug-in.xpt
%{_mozillacomponentpath}/mplayerplug-in-wmp.xpt
%{_mozillacomponentpath}/mplayerplug-in-qt.xpt
%{_mozillacomponentpath}/mplayerplug-in-rm.xpt
%{_mozillacomponentpath}/mplayerplug-in-gmp.xpt

%changelog
* Sat Sep 11 2005 Giuseppe Ghib <ghibo@mandriva.com> 3.11-1mdk
- Release 3.11.
- Added translations.

* Fri Aug 05 2005 Giuseppe Ghib <ghibo@mandriva.com> 3.05-1mdk
- Release 3.05.

* Thu Aug 04 2005 Giuseppe Ghib <ghibo@mandriva.com> 3.01-0.cvs20050804.1mdk
- cvs20050804.

* Wed Aug 03 2005 Giuseppe Ghib <ghibo@mandriva.com> 3.01-0.cvs20050803.2mdk
- Use mozilla-firefox-devel instead of mozilla-devel.

* Wed Aug 03 2005 Giuseppe Ghib <ghibo@mandriva.com> 3.01-0.cvs20050803.1mdk
- Release 3.01 from cvs.

* Sat Jul 23 2005 Giuseppe Ghib <ghibo@mandriva.com> 3.00-3mdk
- Fixed crash when "src" tag used and src is not found (Patch1, from CVS).

* Thu Jul 21 2005 Giuseppe Ghib <ghibo@mandriva.com> 3.00-2mdk
- Added comments for options nomouseinput, noconsolecontrols in
  mplayerplug-in.conf.

* Wed Jul 20 2005 Giuseppe Ghib <ghibo@mandriva.com> 3.00-1mdk
- Release 3.00.
- Added Patch0 for mimetypes.

* Mon Jul 04 2005 Giuseppe Ghib <ghibo@mandriva.com> 2.85-1mdk
- Release 2.85.
- Removed Patch0, merged upstream.
- Rebuilt for 10.1.

* Fri Apr 08 2005 Giuseppe Ghib <ghibo@mandriva.com> 2.80-2mdk
- Added Patches from CVS.

* Mon Feb 14 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.80-1mdk
- Release 2.80.
- Removed Patch0, merged upstream.

* Thu Jan 06 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.75-3mdk
- Added some entry in .conf file.
- Backported from cvs:
  - disable -xy when plugin used remotely.
  - add user-agent.

* Sun Dec 26 2004 Abel Cheung <deaddog@mandrake.org> 2.75-2mdk
- Fix BuildRequires

* Mon Dec 20 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.75-1mdk
- Merged changes from UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  - Release 2.75.
  - remove Requires: mplayer-gui.

* Tue Oct 05 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.70-2mdk
- removed '-ao alsa9' as it's now called simply '-ao alsa' in current
  mplayer.

* Mon Oct 04 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.70-1mdk
- Release 2.70.

* Wed Jul 28 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.66-1mdk
- Release 2.66.
- Removed Patch0, merged upstream.

* Wed Apr 21 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.60-1mdk
- Release 2.60.

* Thu Apr 08 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.50-2mdk
- Allow coexisting with mozplugger.

* Wed Apr 07 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.50-1mdk
- Release 2.50.
- Removed zoom patch, now merged.

* Mon Nov 03 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.pre2.1mdk
- Release 1.0pre2.

* Mon Jun 16 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.80-1mdk
- Release 0.80.
- Removed Patch0, merged.

* Mon May 12 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.71-1mdk
- Updated to release 0.71.

* Sat Mar 22 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.60-2mdk
- Added prefer-aspect=1 to default config.

* Tue Mar 18 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.60-1mdk
- Updated to release 0.60.
- Updated Patch0.
- Added mini skins

* Mon Feb 17 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.40-2mdk
- Mozilla plugin path to %%{_libdir}/mozilla/plugins.

* Mon Feb 17 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.40-1mdk
- Initial release.
- Added .conf files with default to -vo x11.
- Added patches to allow multiple playing or when audio is busy.
- Added option 'osdevel'.
